# DROP RULE

DROP RULE — 移除覆寫規則

### 語法

```
DROP RULE [ IF EXISTS ] name ON table_name [ CASCADE | RESTRICT ]
```

### 說明

DROP RULE 用於移除覆寫規則。

### 參數

`IF EXISTS`

如果規則不存在，請不要拋出錯誤。在這種情況下發出 NOTICE。

*`name`*

要移除的規則名稱。

*`table_name`*

規則適用的資料表或檢視表名稱（可加入綱要限定）。

`CASCADE`

自動移除相依於規則的物件，以及相依於這些物件的所有物件（請參閱[第 5.13 節](/15/the-sql-language/ddl/dependency-tracking.md)）。

`RESTRICT`

如果任何物件相依於它，則拒絕移除規則。這是預設行為。

### 範例

要移除覆寫規則 newrule：

```
DROP RULE newrule ON mytable;
```

### 相容性

DROP RULE 是 PostgreSQL 語法的延伸功能，整個查詢覆寫系統也是。

### 參閱

[CREATE RULE](/15/reference/sql-commands/create-rule.md), [ALTER RULE](/15/reference/sql-commands/alter-rule.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.postgresql.tw/15/reference/sql-commands/drop-rule.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
